import type { ApiConfig, ApiConfigBase, CacheOptions, CacheSetNoKey, RequestCacheConfig, RequestResult } from "./types";
/** 获取缓存运行时上下文 */
export declare const getCacheRunTimeCxt: <D = any, C extends ApiConfigBase = ApiConfigBase>({ cacheOptions, cacheConfig, apiConfig, }: {
    cacheOptions?: CacheOptions | undefined;
    cacheConfig: RequestCacheConfig;
    apiConfig: ApiConfig<C>;
}) => Promise<{
    cacheEnabled: boolean | undefined;
    cacheKey: string;
    cacheResult: RequestResult<D> | undefined;
    setCache: CacheSetNoKey<D> | undefined;
}>;
