import type { ApiConfig, ApiConfigBase, BeforeErrorResult, Options, RequestResult } from "./types";
/** dealError错误捕捉 */
export declare const catchBeforeError: (fn: () => BeforeErrorResult | Promise<BeforeErrorResult>, debug?: boolean) => BeforeErrorResult | Promise<BeforeErrorResult>;
export declare class Request<C extends ApiConfigBase, R> {
    private options;
    private get basePath();
    private get timeout();
    private get uiConfig();
    private get cacheConfig();
    /** 缓存相关方法 */
    private get cacheFn();
    private get issue();
    private get beforeError();
    private get showToast();
    constructor(opt: Options<C, R>);
    request: <D>(apiConfig: ApiConfig<C>, debug?: boolean) => Promise<RequestResult<D>>;
}
/** 创建请求实例 */
export declare const createRequest: <C extends ApiConfigBase, R>(opt: Options<C, R>) => Request<C, R>;
